<?php

if ( ! function_exists( 'vibez_elated_register_header_centered_type' ) ) {
	/**
	 * This function is used to register header type class for header factory file
	 */
	function vibez_elated_register_header_centered_type( $header_types ) {
		$header_type = array(
			'header-centered' => 'VibezElatedNamespace\Modules\Header\Types\HeaderCentered'
		);
		
		$header_types = array_merge( $header_types, $header_type );
		
		return $header_types;
	}
}

if ( ! function_exists( 'vibez_elated_init_register_header_centered_type' ) ) {
	/**
	 * This function is used to wait header-function.php file to init header object and then to init hook registration function above
	 */
	function vibez_elated_init_register_header_centered_type() {
		add_filter( 'vibez_elated_filter_register_header_type_class', 'vibez_elated_register_header_centered_type' );
	}
	
	add_action( 'vibez_elated_action_before_header_function_init', 'vibez_elated_init_register_header_centered_type' );
}